#!/bin/sh
SEAFILE_CONFIG_DIR=${SEAFILE_CONFIG_DIR:-/etc/ccnet}
SEAFILE_DATA=${SEAFILE_DATA:-/var/lib/seafile}
if [ ! -d "$SEAFILE_DATA" ]; then
	mkdir -p $SEAFILE_DATA
fi
if [ ! -d "$SEAFILE_CONFIG_DIR" ]; then
	seaf-cli init -c $SEAFILE_CONFIG_DIR -d $SEAFILE_DATA
fi
/usr/bin/seaf-cli start -c $SEAFILE_CONFIG_DIR
# Script should not exit unless seafile died
while pgrep -f "seaf-daemon" 2>&1 >/dev/null; do
	sleep 5;
done
